(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.2'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     13344,        367]*)
(*NotebookOutlinePosition[     14008,        390]*)
(*  CellTagsIndexPosition[     13964,        386]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Jeu du Chaos", "Title"],

Cell[CellGroupData[{

Cell["R\[EGrave]gles du jeu", "Subsection"],

Cell[TextData[{
  "1.  Dessiner sur la feuille de papier \[AGrave] l\[CloseCurlyQuote]aide du \
crayon, un triangle \[EAcute]quilat\[EAcute]ral, dont il faut \
num\[EAcute]roter les trois sommets ; ",
  StyleBox["s1, s2, s3",
    FontSlant->"Italic"],
  ".\n2. Poser un point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " n\[CloseCurlyQuote]importe o\[UGrave] sur la feuille.\n3. Lancer le d\
\[EAcute] :\n\t\[Bullet] Si le r\[EAcute]sultat est de 1 ou 2, aligner le \
point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " avec le premier sommet.\n\t\[Bullet] Si le r\[EAcute]sultat est de 3 ou \
4, aligner le point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " avec le deuxi\[EGrave]me sommet.\n\t\[Bullet] Si le r\[EAcute]sultat est \
de 5 ou 6, aligner le point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " avec le troisi\[EGrave]me sommet.\n4. Placer un nouveau point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " sur la moiti\[EAcute] du segment form\[EAcute] par le pr\[EAcute]c\
\[EAcute]dent point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " et le sommet, au moyen de la r\[EGrave]gle.\n5. Relier les deux points ",
  StyleBox["P",
    FontSlant->"Italic"],
  " ensemble.\n6. R\[EAcute]p\[EAcute]ter les trois derni\[EGrave]res op\
\[EAcute]rations."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Repr\[EAcute]sentation math\[EAcute]matique", "Subsection"],

Cell[TextData[{
  "Ce fichier ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  " a pour but de repr\[EAcute]senter les r\[EGrave]gles du Jeu du Chaos de \
mani\[EGrave]re math\[EAcute]matique. Voici la d\[EAcute]marche \[AGrave] \
suivre."
}], "Text"],

Cell["\<\
Premi\[EGrave]rement, dessinons un triangle \[EAcute]quilat\[EAcute]ral, en \
trouvant les coordon\[EAcute]es de ses sommets gr\[AHat]ce \[AGrave] \
Pythagore.\
\>", "Text"],

Cell[BoxData[{
    \(\(s1 = {0, 0};\)\), "\n", 
    \(\(s2 = {1, 0};\)\), "\n", 
    \(\(s3 = {1/2, Sqrt[1 - 1/4]};\)\)}], "Input"],

Cell[TextData[{
  "Puis, repr\[EAcute]sentons ces points en les agrandissant.\nDessinons-les \
une deuxi\[EGrave]me fois en les rejoignant gr\[AHat]ce \[AGrave] la fonction \
",
  StyleBox["PlotJoined",
    FontSlant->"Italic"],
  " afin d'obtenir le triangle.\nFinalement, combinons les images obtenues, \
et, par la m\[EHat]me occasion, enlevons les axes et donnons au graphique un \
aspect plus \[LeftGuillemet]r\[EAcute]el\[RightGuillemet]. Nous obtiendrons \
l'image suivante :"
}], "Text"],

Cell[BoxData[{
    \(\(ListPlot[{s1, s2, s3}, PlotStyle \[Rule] \ PointSize[0.02], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[{s1, s2, s3, s1}, PlotJoined \[Rule] \ True, 
        PlotStyle \[Rule] \ Thickness[0.007], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(lp = 
        Show[%, %%, Axes \[Rule] \ False, PlotRange \[Rule] \ All, 
          AspectRatio \[Rule] \ Automatic, 
          DisplayFunction \[Rule] \ $DisplayFunction];\)\)}], "Input"],

Cell[TextData[{
  "Prenons un point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " al\[EAcute]atoire."
}], "Text"],

Cell[BoxData[
    \(p0 = {Random[], Random[]}\)], "Input"],

Cell[TextData[{
  "\[CapitalEAcute]tablissons maintenant les fonctions qui permettent \
d'obtenir le milieu du segment qui relie le point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " avec les trois sommets. Il s'agit d'additionner les deux \
coordonn\[EAcute]es et de prendre la moiti\[EAcute] de ce segment :"
}], "Text"],

Cell[BoxData[{
    \(f1[p_] := \((p + s1)\)*1/2\), "\n", 
    \(f2[p_] := \((p + s2)\)*1/2\), "\n", 
    \(f3[p_] := \((p + s3)\)*1/2\)}], "Input"],

Cell[TextData[{
  "Ensuite, afin de faciliter la t\[AHat]che, cr\[EAcute]ons un \
\[LeftGuillemet]d\[EAcute] \[AGrave] trois face\[RightGuillemet].\nCombinons \
ce d\[EAcute] \[AGrave] une fonction qui prend l'une des trois fonctions pr\
\[EAcute]c\[EAcute]dentes, nous aurons \[EAcute]tabli un ",
  StyleBox["syst\[EGrave]me de fonctions it\[EAcute]r\[EAcute]es",
    FontSlant->"Italic"],
  "."
}], "Text"],

Cell[BoxData[{
    \(d\[EAcute] = Random[Integer, {1, 3}]\), "\[IndentingNewLine]", 
    \(f[p_] := \({f1, f2, f3}[\([Random[Integer, {1, 3}]]\)]\)[p]\)}], "Input"],

Cell["\<\
Nous avons d\[EAcute]sormais d\[EAcute]fini tout ce que nous avions besoin \
pour jouer.\
\>", "Text"],

Cell[TextData[{
  "Pour jouer, it\[EAcute]rons d'abord ",
  StyleBox["n",
    FontSlant->"Italic"],
  " fois le point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " avec la fonction ",
  StyleBox["f",
    FontSlant->"Italic"],
  " gr\[AHat]ce \[AGrave] ",
  StyleBox["NestList,",
    FontSlant->"Italic"],
  " ",
  StyleBox["n",
    FontSlant->"Italic"],
  " \[EAcute]tant le nombre de fois que nous r\[EAcute]p\[EAcute]tons l'op\
\[EAcute]ration. Nous obtiendrons ainsi la liste des points \[AGrave] repr\
\[EAcute]senter.\nR\[EAcute]p\[EAcute]tons cette op\[EAcute]ration d'abord 10 \
fois."
}], "Text"],

Cell[BoxData[{
    \(\(n = 10;\)\), "\[IndentingNewLine]", 
    \(i = NestList[f, p0, n]\)}], "Input"],

Cell[TextData[{
  "Repr\[EAcute]sentons ces points au moyen d'un ",
  StyleBox["ListPlot",
    FontSlant->"Italic"],
  " en les agrandissant, afin de mieux les distinguer.\nPuis, \
repr\[EAcute]sentons-les une deuxi\[EGrave]me fois, et cette fois-ci, sans \
oublier de rejoindre les itin\[EAcute]raires entre les points, gr\[AHat]ce \
\[AGrave] la fonction ",
  StyleBox["PlotJoined",
    FontSlant->"Italic"],
  ".\nCombinons les graphiques obtenus, et par la m\[EHat]me occasion, avec \
le triangle que nous avions dessin\[EAcute] au tout d\[EAcute]but. Voici le r\
\[EAcute]sultat :"
}], "Text"],

Cell[BoxData[{
    \(\(ListPlot[i, PlotJoined \[Rule] \ True, 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[i, PlotStyle \[Rule] {PointSize[0.01]}, 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(Show[lp, %, %%, 
        DisplayFunction \[Rule] \ $DisplayFunction];\)\)}], "Input"],

Cell[TextData[{
  "Et de ce fait, nous sommes parvenus \[AGrave] faire une partie du Jeu du \
Chaos, gr\[AHat]ce \[AGrave] ",
  StyleBox["Mathematica",
    FontSlant->"Italic"],
  "."
}], "Text"]
}, Closed]],

Cell[CellGroupData[{

Cell["Quelques parties utiles", "Subsection"],

Cell[TextData[{
  "Cette partie comporte quelques jeux qui sont directement li\[EAcute]es \
\[AGrave] l'article.\n",
  StyleBox["N.B.",
    FontVariations->{"Underline"->True}],
  " : Il faut \[EAcute]valuer les valeurs pr\[EAcute]c\[EAcute]dentes pour \
que \[CCedilla]a marche !\n",
  StyleBox["N.B.2",
    FontVariations->{"Underline"->True}],
  " : Ces op\[EAcute]rations risquent de prendre du temps."
}], "Text"],

Cell[TextData[{
  StyleBox["Obtention du triangle de Sierpinski",
    FontWeight->"Bold"],
  " :\nIt\[EAcute]rons le point ",
  StyleBox["P",
    FontSlant->"Italic"],
  " ",
  "200000",
  " fois. Nous obtienons la fractale du triangle de Sierpinski."
}], "Text"],

Cell[BoxData[{
    \(\(p0 = {Random[], Random[]};\)\), "\n", 
    \(\(i = NestList[f, p0, 200000];\)\n\), "\n", 
    \(\(ListPlot[i, PlotStyle \[Rule] {PointSize[0.001]}, 
        DisplayFunction \[Rule] Identity];\)\), "\n", 
    \(\(Show[lp, %, DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"],

Cell[TextData[{
  StyleBox["Obtention du triangle noir",
    FontWeight->"Bold"],
  " :\nCe n'est pas v\[EAcute]ritablement utile, mais pour prouver qu'il n'y \
a pas d'attraction pour les itin\[EAcute]raires, nous pouvons \
ex\[EAcute]cuter la m\[EHat]me op\[EAcute]ration que pour le triangle de \
Sierpinski mais en rejoignant les points obtenus."
}], "Text"],

Cell[BoxData[{
    \(\(p0 = {Random[], Random[]};\)\), "\n", 
    \(\(i = NestList[f, p0, 200000];\)\n\), "\n", 
    \(\(ListPlot[i, PlotJoined \[Rule] True, 
        DisplayFunction \[Rule] Identity];\)\), "\n", 
    \(\(Show[lp, %, DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"],

Cell[TextData[{
  StyleBox["Triangle quelconque",
    FontWeight->"Bold"],
  " :\nPrenons, \[AGrave] la place d'un triangle \[EAcute]quilat\[EAcute]ral, \
un triangle quelconque, en modifiant ses sommets. Puis comparons les r\
\[EAcute]sultats obtenus.\nNous observons qu'il s'agit \[EAcute]galement \
d'une fractale, un triangle de Sierpinski d\[EAcute]cal\[EAcute]."
}], "Text"],

Cell[BoxData[{
    \(\(z1 = {0, 0};\)\), "\n", 
    \(\(z2 = {1, 1/3};\)\), "\n", 
    \(\(z3 = {\(-1\)/4, 1/2};\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[{z1, z2, z3}, PlotStyle \[Rule] \ PointSize[0.02], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[{z1, z2, z3, z1}, PlotJoined \[Rule] \ True, 
        PlotStyle \[Rule] \ Thickness[0.007], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(lq = 
        Show[%, %%, PlotRange \[Rule] \ All, Axes \[Rule] \ False, 
          AspectRatio \[Rule] \ Automatic, 
          DisplayFunction \[Rule] \ 
            Identity];\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(h1[p_] := \((p + z1)\)*1/2\), "\n", 
    \(h2[p_] := \((p + z2)\)*1/2\), "\n", 
    \(h3[p_] := \((p + z3)\)*1/2\), "\n", 
    \(h[p_] := \({h1, h2, h3}[\([Random[Integer, {1, 3}]]\)]\)[
        p]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(p0 = {Random[], Random[]};\)\), "\n", 
    \(\(i = NestList[h, p0, 200000];\)\n\), "\n", 
    \(\(ListPlot[i, PlotStyle \[Rule] {PointSize[0.001]}, 
        DisplayFunction \[Rule] Identity];\)\), "\n", 
    \(\(Show[lq, %, DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"],

Cell[TextData[{
  StyleBox["Forme diff\[EAcute]rente",
    FontWeight->"Bold"],
  " :\nChangeons la forme, et prenons, par exemple, un pentagone.\nSi nous \
jouons au Jeu du Chaos avec cette forme, nous observons que nous n'obtenons \
pas de fractale, malgr\[EAcute] la pr\[EAcute]sence d'attracteurs."
}], "Text"],

Cell[BoxData[{
    \(\(q1 = {0, 0};\)\), "\n", 
    \(\(q2 = {\(-1\), \(-1\)};\)\), "\n", 
    \(\(q3 = {\(-1\)/2, \(-2\)};\)\), "\[IndentingNewLine]", 
    \(\(q4 = {1/2, \(-2\)};\)\), "\[IndentingNewLine]", 
    \(\(q5 = {1, \(-1\)};\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[{q1, q2, q3, q4, q5}, PlotStyle \[Rule] \ PointSize[0.02], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(ListPlot[{q1, q2, q3, q4, q5, q1}, PlotJoined \[Rule] \ True, 
        PlotStyle \[Rule] \ Thickness[0.007], 
        DisplayFunction \[Rule] \ Identity];\)\), "\[IndentingNewLine]", 
    \(\(lr = 
        Show[%, %%, PlotRange \[Rule] \ All, Axes \[Rule] \ False, 
          AspectRatio \[Rule] \ Automatic, 
          DisplayFunction \[Rule] \ 
            Identity];\)\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(g1[p_] := \((p + q1)\)*1/2\), "\n", 
    \(g2[p_] := \((p + q2)\)*1/2\), "\n", 
    \(g3[p_] := \((p + q3)\)*1/2\), "\n", 
    \(g4[p_] := \((p + q4)\)*1/2\), "\[IndentingNewLine]", 
    \(g5[p_] := \((p + q5)\)*1/2\), "\[IndentingNewLine]", 
    \(g[p_] := \({g1, g2, g3, g4, g5}[\([Random[Integer, {1, 5}]]\)]\)[
        p]\[IndentingNewLine]\), "\[IndentingNewLine]", 
    \(\(p0 = {Random[], Random[]};\)\), "\n", 
    \(\(i = NestList[g, p0, 700000];\)\n\), "\n", 
    \(\(ListPlot[i, PlotStyle \[Rule] {PointSize[0.001]}, 
        DisplayFunction \[Rule] Identity];\)\), "\n", 
    \(\(Show[lr, %, DisplayFunction \[Rule] $DisplayFunction];\)\)}], "Input"]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"5.2 for Microsoft Windows",
ScreenRectangle->{{0, 1280}, {0, 949}},
WindowSize->{998, 832},
WindowMargins->{{Automatic, -12}, {Automatic, 41}},
Magnification->2
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 29, 0, 186, "Title"],

Cell[CellGroupData[{
Cell[1830, 57, 43, 0, 75, "Subsection"],
Cell[1876, 59, 1290, 34, 391, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[3203, 98, 65, 0, 55, "Subsection"],
Cell[3271, 100, 259, 7, 94, "Text"],
Cell[3533, 109, 183, 4, 94, "Text"],
Cell[3719, 115, 131, 3, 123, "Input"],
Cell[3853, 120, 495, 10, 226, "Text"],
Cell[4351, 132, 538, 9, 293, "Input"],
Cell[4892, 143, 116, 5, 61, "Text"],
Cell[5011, 150, 58, 1, 55, "Input"],
Cell[5072, 153, 326, 7, 127, "Text"],
Cell[5401, 162, 147, 3, 123, "Input"],
Cell[5551, 167, 408, 8, 127, "Text"],
Cell[5962, 177, 164, 2, 89, "Input"],
Cell[6129, 181, 112, 3, 61, "Text"],
Cell[6244, 186, 607, 20, 160, "Text"],
Cell[6854, 208, 102, 2, 114, "Input"],
Cell[6959, 212, 598, 13, 226, "Text"],
Cell[7560, 227, 362, 6, 216, "Input"],
Cell[7925, 235, 195, 6, 94, "Text"]
}, Closed]],

Cell[CellGroupData[{
Cell[8157, 246, 45, 0, 55, "Subsection"],
Cell[8205, 248, 418, 10, 127, "Text"],
Cell[8626, 260, 263, 9, 94, "Text"],
Cell[8892, 271, 305, 5, 250, "Input"],
Cell[9200, 278, 362, 7, 160, "Text"],
Cell[9565, 287, 292, 5, 216, "Input"],
Cell[9860, 294, 380, 7, 160, "Text"],
Cell[10243, 303, 1243, 23, 794, "Input"],
Cell[11489, 328, 314, 6, 160, "Text"],
Cell[11806, 336, 1510, 27, 998, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

